@echo off
REM
REM check to see if the user has at least version 2.00 of the GUS software
REM
set loaded=no
IF EXIST %ULTRADIR%\MIDI\ACPIANO.PAT GOTO START
echo :   WARNING: You are running out dated UltraSound     :
echo :   patches. Please contact Advanced Gravis to get    :
echo :   the updated software, (604)431-1807 Mon-Fri       :
echo :   8am to 4pm.                                       :
GOTO play1
:START
REM
REM Find out which configuration file to copy, and then copy to ultramid.ini
REM
IF EXIST %ULTRADIR%\MIDI\HONKY.PAT GOTO V206A
copy UM200.ini ULTRAMID.INI
GOTO play
:V206A
IF NOT EXIST %ULTRADIR%\MIDI\TREMSTR.PAT GOTO V206
IF NOT EXIST %ULTRADIR%\MIDI\CHARANG.PAT GOTO V206
IF NOT EXIST %ULTRADIR%\MIDI\ECHOVOX.PAT GOTO V206
copy UM206A.INI ULTRAMID.INI
goto play
:V206
copy UM206.INI ULTRAMID.INI
:play
ULTRAMID -q
set loaded=yes
:play1
empire
if '%loaded%' == 'yes' ultramid -f -q
